vn.py官网
开源量化社区
Member
avatar
加入于:
帖子: 21
声望: 5

运行了一天,没做什么特别操作,第二天早上看到这个错误的

Traceback (most recent call last):
File "site-packages\urllib3\connection.py", line 159, in _new_conn
File "site-packages\urllib3\util\connection.py", line 57, in create_connection
File "socket.py", line 748, in getaddrinfo
socket.gaierror: [Errno 11004] getaddrinfo failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "site-packages\urllib3\connectionpool.py", line 600, in urlopen
File "site-packages\urllib3\connectionpool.py", line 343, in _make_request
File "site-packages\urllib3\connectionpool.py", line 839, in _validate_conn
File "site-packages\urllib3\connection.py", line 301, in connect
File "site-packages\urllib3\connection.py", line 168, in _new_conn
urllib3.exceptions.NewConnectionError: <urllib3.connection.VerifiedHTTPSConnection object at 0x0000000018EDB248>: Failed to establish a new connection: [Errno 11004] getaddrinfo failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "site-packages\requests\adapters.py", line 449, in send
File "site-packages\urllib3\connectionpool.py", line 638, in urlopen
File "site-packages\urllib3\util\retry.py", line 399, in increment
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='www.vnpy.com', port=443): Max retries exceeded with url: /login_api/login (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x0000000018EDB248>: Failed to establish a new connection: [Errno 11004] getaddrinfo failed'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "vnmaster\trader\ui\dialog.py", line 168, in request_login
File "site-packages\requests\api.py", line 116, in post
File "site-packages\requests\api.py", line 60, in request
File "site-packages\requests\sessions.py", line 533, in request
File "site-packages\requests\sessions.py", line 646, in send
File "site-packages\requests\adapters.py", line 516, in send
requests.exceptions.ConnectionError: HTTPSConnectionPool(host='www.vnpy.com', port=443): Max retries exceeded with url: /login_api/login (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x0000000018EDB248>: Failed to establish a new connection: [Errno 11004] getaddrinfo failed'))

Administrator
avatar
加入于:
帖子: 4756
声望: 278

每天收盘后要关闭程序哈,第二天开盘前再启动

© 2015-2019 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号-3

沪公网安备 31011502017034号